aboutsummaryrefslogtreecommitdiffstats
path: root/test/search-001.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/search-001.sh')
-rwxr-xr-xtest/search-001.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/search-001.sh b/test/search-001.sh
new file mode 100755
index 0000000..d56fab5
--- /dev/null
+++ b/test/search-001.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+if [ ! -x "$(command -v faketime)" ]; then
+ echo "libfaketime not found - skipping $0..."
+ exit 1
+fi
+
+if [ "$1" = 'actual' ]; then
+ calcurse -D data/ -s01/01/1902 -r36500 -S '^[KMS]an.*or'
+elif [ "$1" = 'expected' ]; then
+ cat <<EOD
+12/06/42:
+ - 09:46 -> ..:..
+ Manuel glorified four
+
+12/07/42:
+ - ..:.. -> 04:33
+ Manuel glorified four
+
+05/28/85:
+ * Sandbox processor's overdraft's
+EOD
+else
+ ./run-test "$0"
+fi